/** \file alias.h
  Prototypes for functions for storing and retrieving alias information.
*/

/**
   Initialize alias data   
*/
void alias_init();
/**
   Destroy alias data
*/
void alias_destroy();


/**
  Add an alias. The parameters values are copied and should be freed by the caller.
*/
void alias_add( const wchar_t *name,
				int use_vars,
				const wchar_t *val );

/**
  Remove the alias with the specified name.
*/
void alias_remove( const wchar_t *name );

/**
  Returns true if the alias with the name name uses internal variables, false otherwise.
*/
int alias_use_vars( const wchar_t *name );

/**
  Returns the definition of the alias with the name name.
*/
const wchar_t *alias_get_definition( const wchar_t *name );

/**
  Returns true if the alias witrh the name name exists.
*/
int alias_exists( const wchar_t *name);

/**
  Insert all alias names into l. These are not copies of the strings and should not be freed after use.
*/
void alias_get_names( array_list *list );
