#!/bin/sh

# This little script calls the man command to render a manual page and
# pipes the result into the gen_hdr2 program to convert the output
# into a C string literal. 

# NAME is the name of the function we are generating documentation for.
NAME=$(basename $1 .doxygen)

# Render the page into a temporary file
man -M doc_src/builtin_doc/man $(basename $1 .doxygen) | cat -s > fish_gen_hdr.tmp
# Remove the last line of output, which is just a status line, pass the rest into gen_hdr2
head <fish_gen_hdr.tmp -$(echo $(wc -l  <fish_gen_hdr.tmp ) -1 |bc) | ./gen_hdr2 $NAME 
# Remove temporary file
rm fish_gen_hdr.tmp
